#!/bin/sh

sed -i 's/\(load.*\)bootstrap4/\1django_bootstrap5/g' `git grep -l 'bootstrap4' scheduler`
git commit -a -m "auto-adapt bootstrap template library"

sed -i 's/var(--/var(--bs-/g' `git ls-files scheduler | grep 'css'`
git commit -a -m "auto-adapt CSS variables"

sed -i 's/data-\(toggle\|dismiss\)/data-bs-\1/g' `git grep -l 'data-' scheduler`
sed -i 's/\(data-bs.*\)data-target/\1data-bs-target/g' `git grep -l 'data-' scheduler`
git commit -a -m "auto-adapt data-* hooks"

sed -i 's/mr-/me-/g' `git grep -l 'mr-' scheduler`
sed -i 's/ml-/ms-/g' `git grep -l 'ml-' scheduler`
sed -i 's/text-right/text-end/g' `git grep -l 'text-right' scheduler`
sed -i 's/text-left/text-start/g' `git grep -l 'text-left' scheduler`
sed -i 's/float-right/float-end/g' `git grep -l 'float-right' scheduler`
sed -i 's/float-left/float-start/g' `git grep -l 'float-left' scheduler`
git commit -a -m "auto-adapt utilities"

sed -i 's/sr-only/visually-hidden/g' `git grep -l 'sr-only' scheduler`
git commit -a -m "auto-adapt sr-only"

sed -i 's/btn-block/d-block w-100/g' `git grep -l 'btn-block' scheduler`
git commit -a -m "auto-adapt btn-block"

sed -i 's/form-row/row gx-2/g' `git grep -l 'form-row' scheduler`
git commit -a -m "auto-adapt form row"

sed -i 's/form-group/mb-3/g' `git grep -l 'form-group' scheduler`
git commit -a -m "auto-adapt form-group"

sed -i 's/form_group_class=/wrapper_class=/g' `git grep -l 'form_group_class' scheduler`
git commit -a -m "auto-adapt form_group_class"

sed -i 's/badge-light/bg-light text-body/g' `git grep -l 'badge-light' scheduler`
sed -i 's/badge-warning/bg-warning text-dark/g' `git grep -l 'badge-warning' scheduler`
sed -i 's/badge-info/bg-info text-dark/g' `git grep -l 'badge-info' scheduler`
sed -i 's/badge-/bg-/g' `git grep -l 'badge-' scheduler`
git commit -a -m "auto-adapt badges"

rm migrate.sh
git commit -a -m "rm migrate script"
